Bug 104027 - in CJK locale gedit hangs on widechar shell output
Summary: in CJK locale gedit hangs on widechar shell output
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: gedit (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-09 04:21 UTC by Jens Petersen
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-07 19:22:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2003-09-09 04:21:41 UTC
Description of problem:
When using the shell command plugin in gedit in a CJK locale, and running
commands that output widechars, gedit sometimes hangs.

Version-Release number of selected component (if applicable):
gedit-2.3.5-1
gedit-2.2.2-1

How reproducible:
Every time

Steps to Reproduce:
1. LANG=ja_JP.UTF-8 gedit
2. Turn on shell output.
3. Run "ls -l /usr" say from shell command dialog.
    
Actual results:
There is output, but the dialog never closes and gedit hangs.

Expected results:
The command should complete and the dialog close.

Additional info:
Not all widechar output causes hanging.  eg "date" and
"ls -l /" do not.

Comment 1 Owen Taylor 2003-10-07 19:22:57 UTC
Fixed in Cambridge

* Tue Oct  7 2003 Owen Taylor <otaylor@redhat.com> 1:2.4.0-2
- Fix bug with multibyte chars in shell-output plugin (#104027, Jens Petersen)

(http://bugzilla.gnome.org/show_bug.cgi?id=124052)


Note You need to log in before you can comment on or make changes to this bug.